Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567909 - hugo-0.54.0 is available
Summary: hugo-0.54.0 is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hugo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1563203 (view as bug list)
Depends On: 1666221 1666285 1672598 1674240 1674242 1674444 1678050 1678222 1678247 1678676 1678682 1683954 1683968
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 12:16 UTC by Upstream Release Monitoring
Modified: 2019-03-05 01:12 UTC (History)
5 users (show)

Fixed In Version: hugo-0.54.0-1.fc31 hugo-0.54.0-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 01:12:52 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-04-16 12:16:39 UTC
Latest upstream release: 0.39
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 1 Upstream Release Monitoring 2018-04-23 12:17:17 UTC
Latest upstream release: 0.40
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 2 Upstream Release Monitoring 2018-04-26 00:16:36 UTC
Latest upstream release: 0.40.1
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 3 Upstream Release Monitoring 2018-05-02 17:30:11 UTC
Latest upstream release: 0.40.2
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 4 Upstream Release Monitoring 2018-05-09 12:16:29 UTC
Latest upstream release: 0.40.3
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 5 Tim Niemueller 2018-05-21 15:25:09 UTC
I'd appreciate an update for F28. Do you have any plans on that, yet?

Comment 6 Boyd 2018-05-21 17:24:36 UTC
Should this not be updated in F29 and/or Rawhide?  Current version will not load some themes.

Comment 7 Tim Niemueller 2018-05-22 14:40:15 UTC
It does fix a bug which may truncate pages, which I would value higher than some possible incompatibility.

I am also not aware of any incompatibilities with existing themes in the versions in question, the following release announcements do not mention any:
https://gohugo.io/news/0.38-relnotes/
https://gohugo.io/news/0.39-relnotes/
https://gohugo.io/news/0.40-relnotes/
Do you know of anything in particular which you can refer to, or was this speculation?

I think Hugo is a young project and at the moment they are still adding crucial features and fixes to most any version. I would prefer to stay a little bit closer to upstream until this stabilizes, similar to, e.g., K8s which got a backward-incompatible update in late F27 even to fix a crucial bug (but for which the fix could have been backported).

Comment 8 Boyd 2018-05-23 13:28:26 UTC
Hi,  Sorry I should have include this specifically.  This was the second theme that made me spend hours of time trying to figure out the problem.  The error only shows when you run the debug flag.

[bkelly@y2 blog]$ /usr/bin/hugo server -w -t hugo-material-blog --debug | grep ERROR
ERROR 2018/05/23 13:25:16 Current theme does not support Hugo version 0.37.1. Minimum version required is 0.38.1

Comment 9 Tim Niemueller 2018-05-23 13:37:32 UTC
So this seems to suggest that the theme does not work with the packaged older version but rather even requires a newer Hugo version? So it makes sense to upgrade Hugo to stay compatible with the provided themes.

Comment 10 Upstream Release Monitoring 2018-05-26 00:17:16 UTC
Latest upstream release: 0.41
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 11 Upstream Release Monitoring 2018-06-12 12:17:35 UTC
Latest upstream release: 0.42
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 12 Upstream Release Monitoring 2018-06-13 12:16:55 UTC
Latest upstream release: 0.42.1
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 13 Upstream Release Monitoring 2018-06-29 12:18:52 UTC
Latest upstream release: 0.42.2
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 14 Upstream Release Monitoring 2018-07-09 12:19:27 UTC
Latest upstream release: 0.43
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 15 Upstream Release Monitoring 2018-07-13 12:18:46 UTC
Latest upstream release: 0.44
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 16 Upstream Release Monitoring 2018-07-22 12:19:00 UTC
Latest upstream release: 0.45
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 17 Upstream Release Monitoring 2018-07-25 12:18:50 UTC
Latest upstream release: 0.45.1
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 18 Upstream Release Monitoring 2018-08-01 12:18:22 UTC
Latest upstream release: 0.46
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 19 Boyd 2018-08-07 13:00:45 UTC
(In reply to Tim Niemueller from comment #9)
> So this seems to suggest that the theme does not work with the packaged
> older version but rather even requires a newer Hugo version? So it makes
> sense to upgrade Hugo to stay compatible with the provided themes.

There have also been sigificant updates and new features in hugo .4x versions.  We are now at .46, and .43 adds this major new feature for example:

https://gohugo.io/news/0.43-relnotes/

The theme that I am using (hugo-bootstrap-premium) has been updated to use pipelines.  This has not been a real problem for me personally.  I just download the rpm containing one single 'hugo' binary file and I have the latest version.  

But my point there is that Fedora is the cutting edge developers version of linux.  Maybe the RHEL people can stay with old featureless software that gives them their stability.  Fedora should be updating hugo systematically in rawhide. And should at the very least have the latest hugo in the current release.  This would make web developers happy!

Comment 20 Athos Ribeiro 2018-08-07 13:54:53 UTC
There will be a significant amount of work to perform this update here. I will be able to start working on it in the next weekend. Any help would be much appreciated.

Sorry for the wait and the missing versions. Also, note that the amount of work increases if we want to support Fedora versions other than rawhide and branched.

Comment 21 tpb 2018-10-31 14:35:24 UTC
(In reply to Athos Ribeiro from comment #20)

Any update on this? What kind of help would get this moving? The Hugo version released in Ubuntu LTS half a year ago is more up to date than the current version in Fedora 29/Rawhide.

Comment 22 Boyd 2018-11-02 15:43:15 UTC
(In reply to tpb from comment #21)
> (In reply to Athos Ribeiro from comment #20)
> 
> Any update on this? What kind of help would get this moving? The Hugo
> version released in Ubuntu LTS half a year ago is more up to date than the
> current version in Fedora 29/Rawhide.

I'm just a hacker and tried to make my own rpm but ran into newbie troubles.  I'll go back to the rpmbuild and see what I can come up with.  It's a disappointment that this is not kept up to date in step with hugo. With the current version in Fedora it doesn't make sense for many developers to even look at it.

Comment 23 Tim Niemueller 2018-11-02 15:59:59 UTC
I'm using https://copr.fedorainfracloud.org/coprs/daftaupe/hugo/. Works just fine and is up2date. Maybe the repo owner could be convinced to take over maintainership in Fedora proper?

Comment 24 Elliott Sales de Andrade 2019-01-15 03:50:22 UTC
*** Bug 1563203 has been marked as a duplicate of this bug. ***

Comment 25 Elliott Sales de Andrade 2019-01-15 05:05:03 UTC
Based on the readme, here are the dependencies that are and are not available in Fedora Rawhide right now (using golang(import path) shortcut, assuming all packages correctly provide it):

github.com/BurntSushi/locker ✕
github.com/BurntSushi/toml ✓
github.com/PuerkitoBio/purell ✓
github.com/PuerkitoBio/urlesc ✓
github.com/alecthomas/chroma ✓
github.com/bep/debounce ✕
github.com/bep/gitmap ✓
github.com/bep/go-tocss ✕
github.com/chaseadamsio/goorgeous ✓
github.com/cpuguy83/go-md2man ✓ ✕
github.com/danwakefield/fnmatch ✓
github.com/disintegration/imaging ✓
github.com/dlclark/regexp2 ✓
github.com/eknkc/amber ✓
github.com/fsnotify/fsnotify ✓
github.com/gobwas/glob ✓
github.com/gorilla/websocket ✓
github.com/hashicorp/go-immutable-radix ✓
github.com/hashicorp/golang-lru ✓
github.com/hashicorp/hcl ✓
github.com/jdkato/prose ✓
github.com/kyokomi/emoji ✓
github.com/magiconair/properties ✓
github.com/markbates/inflect ✓
github.com/mattn/go-isatty ✓
github.com/mattn/go-runewidth ✓
github.com/miekg/mmark ✓
github.com/mitchellh/hashstructure ✕
github.com/mitchellh/mapstructure ✓
github.com/muesli/smartcrop ✓
github.com/nicksnyder/go-i18n ✕
github.com/olekukonko/tablewriter ✓
github.com/pelletier/go-toml ✓
github.com/pkg/errors ✓
github.com/russross/blackfriday ✓
github.com/shurcooL/sanitized_anchor_name ✓
github.com/spf13/afero ✓
github.com/spf13/cast ✓
github.com/spf13/cobra ✓
github.com/spf13/fsync ✓
github.com/spf13/jwalterweatherman ✓
github.com/spf13/nitro ✓
github.com/spf13/pflag ✓
github.com/spf13/viper ✓
github.com/tdewolff/minify ✕
github.com/tdewolff/parse ✕
github.com/wellington/go-libsass ✕
github.com/yosssi/ace ✓
golang.org/x/image ✕
golang.org/x/net ✕
golang.org/x/sync ✕
golang.org/x/sys ✓
golang.org/x/text ✓
gopkg.in/yaml.v2 ✓

Comment 26 Elliott Sales de Andrade 2019-01-15 05:33:35 UTC
Actually, these three are also available; they only provide some subpackages:

github.com/nicksnyder/go-i18n ✓
golang.org/x/image ✓
golang.org/x/sync ✓

So that's 9 packages that need to be added to get the update out.

Comment 27 Upstream Release Monitoring 2019-02-01 14:00:31 UTC
Latest upstream release: 0.54.0
Current version/release in rawhide: 0.37.1-1.fc29
URL: https://gohugo.io

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12959/

Comment 28 Elliott Sales de Andrade 2019-02-18 02:32:57 UTC
I'm (slowly) working on this, as can be seen from the linked reviews.

Comment 29 Elliott Sales de Andrade 2019-03-05 01:12:52 UTC
Finally made; not sure if it will go to F29 or lower. Haven't had a chance to fully investigate the changes and whether it is possible.


Note You need to log in before you can comment on or make changes to this bug.